[Yum] installation of yum 2.0 problem due to rpm

余志昌 yuzhichang at gmail.com
Thu Mar 8 04:47:43 UTC 2007


2007/3/8, rbanjade <rbanjade at d2hawkeye.com>:
> hi all,
>   I have been trying to install yum 2.0. I built and installed the
> package in kurobox HG but fails running any yum command.
> root at KURO-BOX:/tools/rpm-4.1.1# yum update
> Traceback (most recent call last):
> File "/usr/bin/yum", line 22, in ?
> import yummain
> File "yummain.py", line 21, in ?
> File "clientStuff.py", line 18, in ?
> ImportError: No module named rpm
> root at KURO-BOX:/tools/rpm-4.1.1#
>
> We are failing to build and install rpm 4.1.1, Help plz?????

You have the 'rpm' commond line tool, but you need rpm Python binding.
This binding let yum operate on .rpm files to fetch out some info such
as version, dependence. Go rpmfind.net to search a rpm named
'rpm-python' for you platform.



More information about the Yum mailing list